Bug 1570429 - Nova reports overcloud instance in error state after failed double compute failover instance-ha evacuation
Summary: Nova reports overcloud instance in error state after failed double compute fa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 13.0 (Queens)
Assignee: Andrew Beekhof
QA Contact: pkomarov
URL:
Whiteboard:
Depends On: 1562747 1567606 1649253 1654641
Blocks: 1264181 1582827
TreeView+ depends on / blocked
 
Reported: 2018-04-22 22:04 UTC by Andrew Beekhof
Modified: 2019-09-09 14:25 UTC (History)
21 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-12.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1567606
: 1582827 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:52:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Wait script (5.60 KB, text/x-python)
2018-04-22 22:10 UTC, Andrew Beekhof
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1764883 0 None None None 2018-04-22 22:04:51 UTC
OpenStack gerrit 566284 0 'None' 'MERGED' 'Instance HA: prevent compute to start on a host being evacuated' 2019-11-18 07:16:08 UTC
Red Hat Product Errata RHEA-2018:2086 0 None None None 2018-06-27 13:53:11 UTC

Comment 1 Andrew Beekhof 2018-04-22 22:09:46 UTC
Plan is to call the attached wait script at https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/nova-compute.yaml#L131

Comment 3 Andrew Beekhof 2018-04-22 22:10:37 UTC
Created attachment 1425440 [details]
Wait script

Comment 8 Damien Ciabrini 2018-04-25 15:19:00 UTC
Fix is being tested in https://review.openstack.org/#/c/564024/ in upstream master

Comment 9 Michele Baldessari 2018-05-04 11:01:00 UTC
master merged, linking the queens backport

Comment 16 errata-xmlrpc 2018-06-27 13:52:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.